<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="electionPagePropertiesEdit" class="parameter-edit" [class.read-only]="readOnly">
  <mat-card-header>
    <mat-card-title>{{'parameters.election-page-properties.edit.title' | translate}}</mat-card-title>
    <mat-card-subtitle fxLayout="row" fxLayoutAlign="space-between">
      <span>{{'parameters.election-page-properties.edit.subtitle' | translate}}</span>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>


    <section *ngIf="canDoMapping" id="mapping">
      <h3 class="sub-section-header">{{"parameters.election-page-properties.edit.mapping.title" | translate}}

        <button mat-raised-button color="primary" (click)="bulkUpdate()"
                *ngIf="!readOnly && ballots &&  ballots.length > 4" id="bulk-update-button">
          <mat-icon>settings_ethernet</mat-icon>
          {{"parameters.election-page-properties.edit.mapping.bulk-update.open" | translate}}
        </button>
      </h3>


      <election-page-properties-mapping [models]="models" [operation]="operation" [mapping]="mapping"
                                        [readOnly]="readOnly">
      </election-page-properties-mapping>

    </section>


    <section id="models">
      <h3 class="sub-section-header">{{"parameters.election-page-properties.edit.models.title" | translate}}

        <ng-container *roles="['CREATE_ELECTION_PAGE_PROPERTIES_MODEL']">
          <button mat-raised-button (click)="addModel()" color="primary" id="addModel" *ngIf="!readOnly">
            <mat-icon>add</mat-icon>
            {{"parameters.election-page-properties.edit.models.action.create" | translate | uppercase}}
          </button>
        </ng-container>

        <election-page-properties-model-list [(models)]="models" [operation]="operation"
                                             [mapping]="mapping"></election-page-properties-model-list>
      </h3>

    </section>


  </mat-card-content>
</mat-card>
